SYSTEMD-CGTOP(1)

NOM
systemd-cgtop – Affichage des groupes de contrôle utilisant le plus de ressources

SYNOPSIS

systemd-cgtop [OPTIONS...] [GROUPE]

DESCRIPTION

systemd-cgtop affiche les plus importants groupes de contrôle de la hiérarchie locale de groupes de contrôle de Linux, ordonnés selon leur charge de CPU, de mémoire ou d’E/S de disque. L’affichage est rafraichi à intervalles réguliers (par défaut chaque seconde), de manière similaire à top(1). Si un chemin de groupe de contrôle est indiqué, seuls les services de ce groupe de contrôle sont affichés.

Si systemd-cgtop n’est pas connecté à un TTY, aucun entête de colonne n’est affiché et, par défaut, une seule itération est réalisée. L’argument de l’option --iterations=, si indiqué, est respecté. Ce mode est adapté pour des scripts.

L’utilisation de ressources est seulement prise en compte pour les groupes de contrôle dont les contrôleurs appropriés sont activés : « memory » pour l’utilisation de la mémoire et « io » pour la consommation d’E/S de disque. Si la supervision des ressources est requise, il est recommandé d’ajouter les réglages MemoryAccounting=1 et IOAccounting=1 dans les fichiers d’unité en question. Consulter systemd.resource-control(5) pour plus de détails.

La valeur de la charge du CPU peut être entre 0 et 100 fois le nombre de processeurs du système. Par exemple, si le système possède 8 processeurs, la valeur de la charge du CPU sera entre 0 % et 800 %. Le nombre de processeurs peut être trouvé dans le fichier /proc/cpuinfo.

À souligner : à moins que « MemoryAccounting=1 » et « IOAccounting=1 » ne soient activés pour les services en question, aucun comptage de ressources ne sera disponible pour les services du système et les données affichées par systemd-cgtop seront incomplètes.

OPTIONS

Les options suivantes sont comprises :

-p, --order=path
    Tri selon les noms de chemin de groupe de contrôle.

-t, --order=tasks
    Tri selon le nombre de tâches/processus dans le groupe de contrôle.

-c, --order=cpu
    Tri selon la charge de CPU.

-m, --order=memory
    Tri selon l’utilisation de la mémoire.

-i, --order=io
    Tri selon la charge d’E/S de disque.

-b, --batch
    Exécution en mode « batch » : ne pas accepter d’entrée et exécuter jusqu’à ce que la limite d’itérations définie dans l’option --iterations= soit atteinte ou que le processus soit tué. Ce mode peut être utile pour envoyer la sortie de systemd-cgtop à d’autres programmes ou dans un fichier.

    Ajouté dans la version 188.

-r, --raw
    Formater le compte d’octets (tel que l’utilisation de la mémoire ou les métriques d’E/S) et la durée CPU sous forme de valeurs numériques brutes plutôt que sous forme humainement lisible.

    Ajouté dans la version 221.

--cpu=percentage, --cpu=time
    Contrôler si l’utilisation du CPU est affichée en pourcentage ou en durée. Par défaut, l’utilisation du CPU est affichée en pourcentage. Ce comportement peut être modifié en cours d’exécution en pressant la touche %.

    Ajouté dans la version 226.

-P
    Compter seulement les processus en espace utilisateur au lieu de toutes les tâches. Par défaut, toutes les tâches sont prises en compte : chaque thread du noyau et chaque thread en espace utilisateur séparément. Avec ce réglage, les threads du noyau sont exclus du comptage et chaque processus en espace utilisateur est compté comme une seule tâche, quel que soit le nombre de threads dont il est composé. Ce comportement peut être aussi modifié en pressant la touche P en cours d’exécution. Cette option ne peut pas être combinée avec l’option -k.

    Ajouté dans la version 227.

-k
    Compter les processus en espace utilisateur et les threads du noyau au lieu de toutes les tâches. Par défaut, toutes les tâches sont comptées : chaque thread du noyau et chaque thread en espace utilisateur séparément. Avec ce réglage, les threads du noyau sont inclus dans le comptage et chaque processus en espace utilisateur est compté comme une seule tâche, quel que soit le nombre de threads dont il est composé. Ce comportement peut être aussi modifié en pressant la touche K en cours d’exécution. Cette option ne peut pas être combinée avec l’option -P.

    Ajouté dans la version 226.

--recursive=
    Contrôler si le nombre de processus affiché dans un groupe de contrôle doit inclure tous les processus contenus aussi dans n’importe quel groupe de contrôle enfant. Cette option prend un argument booléen qui par défaut est « yes ». Si cette option est active, les processus dans les groupes de contrôle enfants sont inclus et dans le cas contraire, seuls les processus du groupe de contrôle lui-même sont pris en compte. Ce comportement peut être modifié en cours d’exécution en pressant la touche r. Remarquez que ce réglage s’applique seulement au comptage de processus, c’est-à-dire lorsque les options -P ou -k sont utilisées. Il n’a aucun effet si toutes les tâches sont prises en compte, auquel cas le comptage est toujours récursif.

    Ajouté dans la version 226.

-n, --iterations=
    Réaliser seulement ce nombre d’itérations. Une valeur zéro indique que le programme s’exécute indéfiniment.

    Ajouté dans la version 188.

-1
    Raccourci pour --iterations=1.

    Ajouté dans la version 238.

-d, --delay=
    Indiquer l’intervalle de rafraichissement en seconde (ou « ms », « us » ou « min » si indiqué comme unité de durée). Ce réglage peut aussi être augmenté ou diminué en cours d’exécution en pressant les touches + et -.

--depth=
    Profondeur maximale de parcours de l’arbre des groupes de contrôle. Cette option précise jusqu’à quel niveau systemd-cgtop doit parcourir les hiérarchies de groupes de contrôle. Si 0 est indiqué, seul le groupe de contrôle racine est supervisé. Si 1 est indiqué, seul le premier niveau est supervisé, etc. La valeur par défaut est 3.

-M MACHINE, --machine=MACHINE
    Limiter les groupes de contrôle affichés à ceux correspondant au conteneur MACHINE. Cette option ne peut pas être utilisée lorsqu’un chemin de groupe de contrôle est indiqué.

    Ajouté dans la version 227.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

RACCOURCIS CLAVIER

systemd-cgtop est un outil interactif et peut être contrôlé par une saisie d’utilisateur en utilisant les touches suivantes :

h
    Afficher l'aide-mémoire.

Espace
    Rafraichissement immédiat de l’affichage.

    Ajouté dans la version 226.

q
    Fin du programme.

p, t, c, m, i
    Ordonner les groupes de contrôle par chemins, nombres de tâches, charges de CPU, utilisations de la mémoire ou charges d’E/S, respectivement. Ces réglages peuvent être aussi contrôlés en utilisant l’option de ligne de commande --order=.

%
    Basculer l’affichage du temps CPU entre une durée et un pourcentage. Ce réglage peut être contrôlé avec l’option de ligne de commande --cpu=.

    Ajouté dans la version 201.

+, -
    Augmenter ou diminuer l’intervalle de rafraichissement. Ce réglage peut être contrôlé avec l’option de ligne de commande --delay=.

P
    Afficher le comptage de toutes les tâches ou seulement les processus en espace utilisateur. Ce réglage peut être contrôlé avec l’option de ligne de commande -P (voir ci-avant).

    Ajouté dans la version 227.

k
    Afficher le comptage de toutes les tâches ou seulement les processus en espace utilisateur et les threads du noyau. Ce réglage peut être contrôlé avec l’option de ligne de commande -k (voir ci-avant).

    Ajouté dans la version 226.

r
    Inclure ou exclure de l’affichage de manière récursive les processus des groupes de contrôle enfants dans le comptage des groupes de contrôle de processus. Ce réglage peut être contrôlé en utilisant l’option de ligne de commande --recursive=. Cette touche n’est pas disponible si toutes les tâches sont prises en compte. Elle n’est disponible que si les processus sont comptés, lorsque cela est activé avec les touches P ou k.

    Ajouté dans la version 226.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1), systemctl(1), systemd-cgls(1), systemd.resource-control(5), top(1)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.